#include<iostream>
#include<cmath>

using namespace::std;

int main()
{
	int p, q, r, L, R,i,br;
	cin >> p >> q >> r >> L >> R;
	if (R <= 100000) // Prvi podzadatak
	{
		br = 0;
		for (i = L; i <= R; i++)
		{
			if (ceil((float)i / p) + ceil((float)i / q) + ceil((float)i / r) <= i)
				br++;
		}
	}
	else if (p == 2 && q == 3 && r == 7)
	{
		br = ((R / (p * q) + R / (p * r) + R / (q * r)) - R / (p * r * q)) - ((L / (p * q) + L / (p * r) + L / (q * r)) - L / (p * r * q));
	}
	cout << br;
	return 0;
}